package org.bitbucket.bradleysmithllc.etlunit;

import org.bitbucket.bradleysmithllc.etlunit.context.VariableContext;
import org.bitbucket.bradleysmithllc.etlunit.parser.*;

public class NullClassListener implements ClassListener
{
	@Override
	public void begin(ETLTestClass cl, VariableContext context)
			throws TestAssertionFailure, TestExecutionError, TestWarning
	{
	}

	@Override
	public void declare(ETLTestVariable var, VariableContext context)
	{
	}

	@Override
	public void begin(ETLTestMethod mt, VariableContext context)
			throws TestAssertionFailure, TestExecutionError, TestWarning
	{
	}

	@Override
	public void begin(ETLTestOperation op, ETLTestValueObject parameters, VariableContext vcontext, ExecutionContext econtext)
			throws TestAssertionFailure, TestExecutionError, TestWarning
	{
	}

	@Override
	public action_code process(ETLTestOperation op, ETLTestValueObject obj, VariableContext context, ExecutionContext econtext)
			throws TestAssertionFailure, TestExecutionError, TestWarning
	{
		return action_code.defer;
	}

	@Override
	public void end(ETLTestOperation op, ETLTestValueObject parameters, VariableContext vcontext, ExecutionContext econtext)
			throws TestAssertionFailure, TestExecutionError, TestWarning
	{
	}

	@Override
	public void end(ETLTestMethod mt, VariableContext context)
			throws TestAssertionFailure, TestExecutionError, TestWarning
	{
	}

	@Override
	public void end(ETLTestClass cl, VariableContext context) throws TestAssertionFailure, TestExecutionError, TestWarning
	{
	}
}