package org.bitbucket.bradleysmithllc.etlunit;

import java.io.*;

public interface ProcessFacade
{
	ProcessDescription getDescriptor();

	void waitForCompletion();

	int getCompletionCode();

	void kill();

	void waitForStreams();
	void waitForOutputStreamsToComplete() throws IOException;

	Writer getWriter();

	BufferedReader getReader();

	BufferedReader getErrorReader();

	StringBuffer getInputBuffered() throws IOException;

	StringBuffer getErrorBuffered() throws IOException;

	OutputStream getOutputStream();

	InputStream getInputStream();

	InputStream getErrorStream();
}