package org.bitbucket.bradleysmithllc.etlunit.feature;

import com.github.fge.jsonschema.main.JsonSchema;

import java.util.List;

public interface FeatureAnnotation
{
	String getName();

	String getDescription();

	List<JsonSchema> getValidator();

	enum propertyType
	{
		required,
		optional,
		none
	}

	propertyType getPropertyType();
}